libraw1394: version 2.0.4
Prev |  | Next

# raw1394_new_handle

## Name

raw1394_new_handle -- create new handle

## Synopsis

``raw1394handle_t raw1394_new_handle` ( void);`

## Arguments

`void`

  no arguments

## Description

Creates and returns a new handle which can (after being set up) control one port. It is not allowed to use the same handle in multiple threads or forked processes. It is allowed to create and use multiple handles, however. Use one handle per thread which needs it in the multithreaded case.

The default device node is /dev/raw1394, but one can override the default by setting environment variable RAW1394DEV. However, if RAW1394DEV points to a non-existant or invalid device node, then it also attempts to open the default device node.

## Returns

the created handle or `NULL` when initialization fails. In the latter case errno either contains some OS specific error code or EPROTO if libraw1394 and raw1394 don't support each other's protocol versions.

Prev | Home | Next
raw1394_errcode_to_errno | Up | raw1394_destroy_handle